Skip to main content
GET
Fetches a set of Withdrawals Requests for a subaccount

Authorizations

Api-Access-Key
string
header
required

An API key associated with a security role

Path Parameters

subaccountId
string
required

Unique Identifier for the subaccount

Query Parameters

withdrawalStatuses
enum<string>[]

One or more withdrawal statuses to filter results. If no value is passed, it filter by all statuses.

Available options:
INITIATED,
FAILED,
PENDING_ENDORSEMENT,
PENDING_REVIEW,
BROADCASTING,
COMPLETED,
CANCELED
startDate
string<date>

The start date (inclusive) in YYYY-MM-DD format. The earliest valid start date is '2017-01-01`. Dates are always in UTC RFC 3339 'full-date'.

endDate
string<date>

The end date (inclusive) in YYYY-MM-DD format. The latest valid end date is the current date. Dates are always in UTC RFC 3339 'full-date'.

afterId
string

When paginating this is used to provide the starting point for the page to fetch (retrieved from the previous response body)

limit
integer<int64>
default:25

Maximum number of results to return per query

Required range: 1 <= x <= 100

Response

List the Withdrawal Requests

data
ListSubaccountWithdrawalsObject · object[]
required
page
Page · object

Pagination info